Bug 630804 (CVE-2010-3078) - CVE-2010-3078 kernel: xfs: XFS_IOC_FSGETXATTR ioctl memory leak
Summary: CVE-2010-3078 kernel: xfs: XFS_IOC_FSGETXATTR ioctl memory leak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3078
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 630806 630807 630808 630809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-07 03:15 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-15 04:02:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0839 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2010-11-09 18:06:20 UTC
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description Eugene Teo (Security Response) 2010-09-07 03:15:50 UTC
Description of problem:
The XFS_IOC_FSGETXATTR ioctl allows unprivileged users to read 12 bytes of uninitialized stack memory, because the fsxattr struct declared on the stack in xfs_ioc_fsgetxattr() does not alter (or zero) the 12-byte fsx_pad member before copying it back to the user.

http://www.linux.sgi.com/archives/xfs-masters/2010-09/msg00002.html

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 4 errata-xmlrpc 2010-11-09 18:06:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0839 https://rhn.redhat.com/errata/RHSA-2010-0839.html

Comment 5 Vincent Danen 2010-11-09 18:45:40 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4, and Red Hat Enterprise MRG as they did not include
support for the XFS file system.  This issue was addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2010-0839.html

Comment 6 errata-xmlrpc 2011-01-11 19:45:33 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html


Note You need to log in before you can comment on or make changes to this bug.